* { box-sizing: border-box; font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Arial, sans-serif; }
body { background-color: #000000; color: #ffffff; margin: 0; padding: 0; padding-bottom: 90px; display: flex; justify-content: center; }

.view { width: 100%; max-width: 450px; padding: 20px; display: none; }
.view.active { display: block; }

/* Nuevo formato de Cabecera */
.header { display: flex; justify-content: space-between; align-items: center; margin-bottom: 15px; }
.header-left { display: flex; align-items: center; gap: 10px; }
.header h1 { font-size: 24px; margin: 0; font-weight: 700; white-space: nowrap; }

.btn-icon-nav { cursor: pointer; font-size: 28px; }
.btn-back-icon { cursor: pointer; color: #5ac8fa; font-size: 24px; margin-left: -2px; }

.bottom-nav { position: fixed; bottom: 0; left: 50%; transform: translateX(-50%); width: 100%; max-width: 450px; background-color: #121212; border-top: 1px solid #1c1c1e; display: flex; justify-content: space-around; padding: 10px 0; z-index: 500;}
.nav-item { display: flex; flex-direction: column; align-items: center; color: #8e8e93; font-size: 11px; gap: 4px; cursor: pointer; width: 70px; }
.nav-item.active { color: #5ac8fa; }

/* Menú Lateral */
#sidebar-overlay { display: none; position: fixed; top: 0; left: 0; width: 100%; height: 100%; background: rgba(0,0,0,0.6); z-index: 600; }
.sidebar { position: fixed; top: 0; left: -280px; width: 280px; height: 100%; background-color: #1c1c1e; z-index: 700; transition: 0.3s; box-shadow: 2px 0 10px rgba(0,0,0,0.5); }
.sidebar.open { left: 0; }
.sidebar-item { padding: 16px 20px; border-bottom: 1px solid #2c2c2e; display: flex; align-items: center; gap: 12px; cursor: pointer; font-size: 16px; font-weight: 500; }

.no-data { text-align: center; color: #8e8e93; padding: 20px; }
.text-lista { color: #34c759; font-weight:bold; }
.text-ensayar { color: #ff9500; font-weight:bold;}
.text-sin { color: #8e8e93; font-weight:bold;}